@echo off
REM
REM Run a converter on the given port
REM

set CONVERTER_CLASS=com.docmosis.converter.openoffice.LocalOpenOfficeConverter
set SERVER_PORT=%1

if "%SERVER_PORT%" == "" goto usage

echo Starting converter on port %SERVER_PORT%
java %DEBUG_SETTINGS% -cp .;../docmosis.jar com.docmosis.document.converter.RemoteConverterTerminus soffice.exe "%CONVERTER_CLASS%" "%SERVER_PORT%"

goto end

:usage
echo usage: java %0% ^<port^>
echo This will run a remote converter listening on the given port.

:end
