#!/bin/sh

CONVERTER_CLASS=com.docmosis.converter.openoffice.LocalOpenOfficeConverter
SERVER_PORT=$1

echo server port $SERVER_PORT
if [ "$SERVER_PORT" = "" ]; then
  echo usage: java $0 '<port>'
  echo This will run a remote converter listening on the given port
  exit 1
fi

echo Starting converter on port $SERVER_PORT
java $DEBUG_SETTINGS -cp .:../docmosis.jar com.docmosis.document.converter.RemoteConverterTerminus soffice "$CONVERTER_CLASS" "$SERVER_PORT"
